import re
import sys
import html

if __name__ == '__main__':
    buf  = []
    for line in sys.stdin:
        data = []
        for field in (html.unescape(line).strip().split('\u0001')):
            field = re.sub('^\s+', '', field.lower())
            field = re.sub('\s+$', '', field)
            field = re.sub('\s+', ' ', field)
            data.append(field)

        attr = data[1]
        attr = re.sub('\s*:$', '', attr)
        attr = re.sub('(\d+)$', r' \1', attr)
        attr = re.sub('\s+', ' ', attr)
        attr = re.sub('^\s', '', attr)
        data[1] = attr

        buf.append("\t".join(data))

    for dt in ['train', 'dev', 'test']:
        obuf = []
        with open ('ids/' + dt) as reader:
            for _id in reader:
                obuf.append(buf[int(_id.strip()) - 1])

        ofile = './' + dt + '.tsv'
        with open (ofile, 'wt') as writer:
            print ('\n'.join(obuf), file=writer)
